org.keycloak.adapters.undertow

## Class UndertowAuthenticationMechanism

- java.lang.Object
- - org.keycloak.adapters.undertow.AbstractUndertowKeycloakAuthMech
  - - org.keycloak.adapters.undertow.UndertowAuthenticationMechanism

- All Implemented Interfaces:
    io.undertow.security.api.AuthenticationMechanism

      public class UndertowAuthenticationMechanism
      extends AbstractUndertowKeycloakAuthMech

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.undertow.security.api.AuthenticationMechanism

      `io.undertow.security.api.AuthenticationMechanism.AuthenticationMechanismOutcome, io.undertow.security.api.AuthenticationMechanism.ChallengeResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `confidentialPort`
    `protected NodesRegistrationManagement` | `nodesRegistrationManagement`

    - ### Fields inherited from class org.keycloak.adapters.undertow.AbstractUndertowKeycloakAuthMech

      `deploymentContext, errorPage, KEYCLOAK_CHALLENGE_ATTACHMENT_KEY, sessionManagement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndertowAuthenticationMechanism(AdapterDeploymentContext deploymentContext, UndertowUserSessionManagement sessionManagement, NodesRegistrationManagement nodesRegistrationManagement, int confidentialPort, String errorPage)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.undertow.security.api.AuthenticationMechanism.AuthenticationMechanismOutcome` | `authenticate(io.undertow.server.HttpServerExchange exchange, io.undertow.security.api.SecurityContext securityContext)`

    - ### Methods inherited from class org.keycloak.adapters.undertow.AbstractUndertowKeycloakAuthMech

      `getTokenStore, keycloakAuthenticate, registerNotifications, sendChallenge, servePage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nodesRegistrationManagement

          protected NodesRegistrationManagement nodesRegistrationManagement

    - #### confidentialPort

          protected int confidentialPort

  - ### Constructor Detail

    - #### UndertowAuthenticationMechanism

          public UndertowAuthenticationMechanism(AdapterDeploymentContext deploymentContext,
                                         UndertowUserSessionManagement sessionManagement,
                                         NodesRegistrationManagement nodesRegistrationManagement,
                                         int confidentialPort,
                                         String errorPage)

  - ### Method Detail

    - #### authenticate

          public io.undertow.security.api.AuthenticationMechanism.AuthenticationMechanismOutcome authenticate(io.undertow.server.HttpServerExchange exchange,
                                                                                                     io.undertow.security.api.SecurityContext securityContext)

Copyright © 2015. All rights reserved.